Failed to update to 3.5.0-3 from 2.12.1 on Ubuntu 18.04

Hello everyone,

After receiving the email notification from Passbolt regarding upgrading to 3.5.0-3 , we followed all the necessary steps as described at Passbolt Help | Update passbolt on Ubuntu 20.04 , and although all steps were successful , it appears that our setup is still 2.12.1.

Does this mean that this upgrade guide is not applicable for Ubuntu 18.04? Any help would be much appreciated.

thank you.

Hi @mlakatamitis :wave: and welcome to passbolt community forum :people_holding_hands:

The Passbolt Help | Update passbolt on Ubuntu 20.04 help page is valid only on Ubuntu 20.04, and if you installed passbolt from our package.

With Ubuntu 18.04 and passbolt 2.12.1, it appears you have a “from-source” installation.

Following the release notes:

This release contains some important changes to the packages for Passbolt API. If you installed passbolt from source or using docker, you are not affected.

If you use the DEB (Debian, Ubuntu) or RPM (Centos, RedHat, Rocky, etc.) packages keep reading.

By the way, passbolt 2.12.1 has been release more than 2 years ago :open_mouth: . You should strongly consider to upgrade to latest release for security reasons.

Cheers,